#include <touchgfx/hal/Types.hpp>

FONT_LOCATION_FLASH_PRAGMA
KEEP extern const uint8_t unicodes_Asap_Bold_otf_12_4bpp[] FONT_LOCATION_FLASH_ATTRIBUTE =
{
    // Unicode: [0x0020, space]
    // (Has no glyph data)
    // Unicode: [0x0025, percent]
    0xC1, 0x8F, 0x00, 0x5C, 0x50, 0x6E, 0x0F, 0xD6, 0x00, 0xD6, 0xF3, 0xE1, 0x05, 0x10, 0xFE, 0x7A,
    0x0C, 0x00, 0x00, 0x01, 0x4E, 0x00, 0x00, 0x00, 0xC7, 0xE4, 0x4E, 0x00, 0xF1, 0xB4, 0xAA, 0x0B,
    0x80, 0x0B, 0x8B, 0xB9, 0x00, 0x3E, 0x40, 0xEE, 0x04,
    // Unicode: [0x002C, comma]
    0x40, 0x09, 0xA0, 0x0F, 0xC0, 0x0B, 0xD0, 0x02,
    // Unicode: [0x002D, hyphen]
    0x10, 0x01, 0xF9, 0x7F, 0x42, 0x14,
    // Unicode: [0x002E, period]
    0x00, 0xB0, 0x1F, 0xFA, 0x01,
    // Unicode: [0x0030, zero]
    0x30, 0xED, 0x08, 0x00, 0xEF, 0xFB, 0x06, 0xF6, 0x06, 0xCF, 0x80, 0x4F, 0xE0, 0x0F, 0xF9, 0x03,
    0xFC, 0x80, 0x4F, 0xE0, 0x0F, 0xF6, 0x06, 0xCF, 0x00, 0xEF, 0xFB, 0x06, 0x30, 0xED, 0x08, 0x00,
    // Unicode: [0x0031, one]
    0x82, 0xEC, 0x02, 0xE7, 0xFE, 0x03, 0x00, 0xF8, 0x03, 0x00, 0xF8, 0x03, 0x00, 0xF8, 0x03, 0x00,
    0xF8, 0x03, 0x00, 0xF8, 0x03, 0x83, 0xFC, 0x6A, 0xF7, 0xFF, 0xDF,
    // Unicode: [0x0032, two]
    0xA0, 0xEE, 0x0A, 0xE2, 0xDA, 0x7F, 0x00, 0x20, 0xAF, 0x00, 0x60, 0x8F, 0x00, 0xF2, 0x1E, 0x00,
    0xFD, 0x04, 0xA0, 0x7F, 0x00, 0xF6, 0x8F, 0x68, 0xF7, 0xFF, 0xDF,
    // Unicode: [0x0033, three]
    0xC1, 0xEE, 0x09, 0xC1, 0xE9, 0x5F, 0x00, 0x60, 0x6F, 0x00, 0xE9, 0x1C, 0x10, 0xFF, 0x2D, 0x00,
    0x70, 0x8F, 0x00, 0x20, 0xBF, 0xD6, 0xD9, 0x7F, 0xC3, 0xEE, 0x09,
    // Unicode: [0x0034, four]
    0x00, 0x60, 0x7F, 0x00, 0x20, 0xFF, 0x08, 0x00, 0xFC, 0x8F, 0x00, 0xF6, 0xF7, 0x08, 0xF1, 0x48,
    0x8F, 0xB0, 0x9F, 0xFA, 0x1C, 0xFB, 0xFF, 0xFF, 0x04, 0x00, 0xF4, 0x08, 0x00, 0x30, 0x6F, 0x00,
    // Unicode: [0x0035, five]
    0xE0, 0xFF, 0x6F, 0xF0, 0x8D, 0x38, 0xF1, 0x09, 0x00, 0xF2, 0xEF, 0x1A, 0x80, 0xC9, 0x9F, 0x00,
    0x10, 0xCF, 0x00, 0x10, 0xCF, 0xD4, 0xD9, 0x7F, 0xC3, 0xEF, 0x08,
    // Unicode: [0x0036, six]
    0x00, 0x91, 0x1E, 0x00, 0xE2, 0x9F, 0x01, 0xC0, 0x4F, 0x00, 0x30, 0xCF, 0x57, 0x00, 0xF7, 0xFF,
    0x8F, 0x90, 0x5F, 0xF2, 0x0E, 0xF7, 0x05, 0xFD, 0x30, 0xEF, 0xFB, 0x0B, 0x50, 0xFD, 0x1B, 0x00,
    // Unicode: [0x0037, seven]
    0xF7, 0xFF, 0xBF, 0x83, 0x98, 0xDF, 0x00, 0x70, 0x6F, 0x00, 0xE0, 0x0F, 0x00, 0xF5, 0x08, 0x00,
    0xFB, 0x02, 0x20, 0xBF, 0x00, 0x90, 0x4F, 0x00, 0xE0, 0x0C, 0x00,
    // Unicode: [0x0038, eight]
    0x50, 0xFD, 0x1B, 0x20, 0xEF, 0xFB, 0x0A, 0xF4, 0x08, 0xBF, 0x10, 0xFE, 0xFB, 0x05, 0xC0, 0xFF,
    0x4F, 0x70, 0x5F, 0xF2, 0x0E, 0xF9, 0x03, 0xFD, 0x60, 0xDF, 0xFB, 0x0D, 0x80, 0xFE, 0x2B, 0x00,
    // Unicode: [0x0039, nine]
    0x70, 0xFE, 0x0A, 0xF5, 0xBD, 0x9F, 0xF9, 0x04, 0xDF, 0xF8, 0x17, 0xFD, 0xF2, 0xFF, 0xDF, 0x20,
    0x87, 0x9F, 0x00, 0xD1, 0x3F, 0x50, 0xFE, 0x06, 0xA0, 0x3C, 0x00
};
